> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update a Premium

PUT https://api.virtuoussoftware.com/api/Premium/{premiumId}
Content-Type: application/json

Similar to other update methods in the API, excluding a property will remove it's value from the object. 
If you're only updating a single property, the entire model is still required.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/giving/update-a-premium

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `premiumId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, optional)
- `code` (string, optional)
- `price` (string, optional)
- `fairMarketValue` (string, optional)
- `description` (string, optional)
- `cost` (string, optional)
- `inventoryCount` (string, optional)
- `isActive` (string, optional)
- `customFields` (list of ApiPremiumPremiumIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems, optional)

## Response

### 200

OK

- `id` (string, optional)
- `name` (string, optional)
- `code` (string, optional)
- `description` (string, optional)
- `price` (string, optional)
- `fairMarketValue` (string, optional)
- `cost` (string, optional)
- `inventoryCount` (string, optional)
- `isActive` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiPremiumPremiumIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiPremiumPremiumIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiPremiumPremiumIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Request**

```json
{
  "name": "<string>",
  "code": "<string>",
  "price": "<double>",
  "fairMarketValue": "<double>",
  "description": "<string>",
  "cost": "<double>",
  "inventoryCount": "<integer>",
  "isActive": "<boolean>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**Response**

```json
{
  "id": "<integer>",
  "name": "<string>",
  "code": "<string>",
  "description": "<string>",
  "price": "<double>",
  "fairMarketValue": "<double>",
  "cost": "<double>",
  "inventoryCount": "<integer>",
  "isActive": "<boolean>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Giving_updateAPremium_example
import requests

url = "https://api.virtuoussoftware.com/api/Premium/premiumId"

payload = {
    "name": "<string>",
    "code": "<string>",
    "price": "<double>",
    "fairMarketValue": "<double>",
    "description": "<string>",
    "cost": "<double>",
    "inventoryCount": "<integer>",
    "isActive": "<boolean>",
    "customFields": [
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        },
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Giving_updateAPremium_example
const url = 'https://api.virtuoussoftware.com/api/Premium/premiumId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"<string>","code":"<string>","price":"<double>","fairMarketValue":"<double>","description":"<string>","cost":"<double>","inventoryCount":"<integer>","isActive":"<boolean>","customFields":[{"name":"<string>","value":"<string>","displayName":"<string>"},{"name":"<string>","value":"<string>","displayName":"<string>"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Giving_updateAPremium_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Premium/premiumId"

	payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"price\": \"<double>\",\n  \"fairMarketValue\": \"<double>\",\n  \"description\": \"<string>\",\n  \"cost\": \"<double>\",\n  \"inventoryCount\": \"<integer>\",\n  \"isActive\": \"<boolean>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Giving_updateAPremium_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Premium/premiumId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"price\": \"<double>\",\n  \"fairMarketValue\": \"<double>\",\n  \"description\": \"<string>\",\n  \"cost\": \"<double>\",\n  \"inventoryCount\": \"<integer>\",\n  \"isActive\": \"<boolean>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Giving_updateAPremium_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Premium/premiumId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"price\": \"<double>\",\n  \"fairMarketValue\": \"<double>\",\n  \"description\": \"<string>\",\n  \"cost\": \"<double>\",\n  \"inventoryCount\": \"<integer>\",\n  \"isActive\": \"<boolean>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")
  .asString();
```

```php Giving_updateAPremium_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/Premium/premiumId', [
  'body' => '{
  "name": "<string>",
  "code": "<string>",
  "price": "<double>",
  "fairMarketValue": "<double>",
  "description": "<string>",
  "cost": "<double>",
  "inventoryCount": "<integer>",
  "isActive": "<boolean>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Giving_updateAPremium_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Premium/premiumId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"<string>\",\n  \"code\": \"<string>\",\n  \"price\": \"<double>\",\n  \"fairMarketValue\": \"<double>\",\n  \"description\": \"<string>\",\n  \"cost\": \"<double>\",\n  \"inventoryCount\": \"<integer>\",\n  \"isActive\": \"<boolean>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Giving_updateAPremium_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "<string>",
  "code": "<string>",
  "price": "<double>",
  "fairMarketValue": "<double>",
  "description": "<string>",
  "cost": "<double>",
  "inventoryCount": "<integer>",
  "isActive": "<boolean>",
  "customFields": [
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ],
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Premium/premiumId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```